Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2  (Прочитано 6301 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн doctor_evil

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« : 11 Сентябрь 2008, 17:35:08 »
Собственно вопрос заклюается в том, то это за библиотека откуда ее взять (есть ли она на СД с убунтой?) и как и куда установить.

краткая предистория:

Дано: Ubuntu 8.04 + виндузятный эникейщик. Боевая задача - установить 3 софтины, срок 2 дня... Иначе шеф "голова оторвет". Кроме этих 3 программ более ничего запускаться не будет. Собственно у меня самого как и у товарища-эникейщика опыт в linux вообще и в ubuntu в частности -нулевой. Нужно установить mpupen64, epsxe 1.6.0, и Doom3.

 Ubuntu поставилась крайне легко и просто, а вот дальше... Распаковал epsxe в папочку, в мануале написано просто - запустить. Файлик без разширения (я так понимаю, что расшерение в linux вообще мало значит?) в наутилусе как только не кликал на этот файлик - эмоций ноль. Запустил терминал, и так его и эдак и с sudo и слеши с точками во всех возможных комбинациях - нефига либо не находит файлика либо директорию.

Возможно великий ALL подскажет (что-то вроде how-to ?) максимально простой способ установки этих 3 прог?

Программа распакована в /home/ogr/mupen64-0.5/ запускалка (по крайней мере в мануале так написано) - mupen64.
рид, райт, екзекут стоят (по крайней мере наутилос это в свойствах говорит). Как запустить то его?

На форуме http://forum.ixbt.com/topic.cgi?id=76:8366#23 указали на отсустсвие библиотек /lib/ld-linux.so.2 но куда и как их ставить и где их собственно взять - не знаю.
« Последнее редактирование: 11 Сентябрь 2008, 18:07:25 от doctor_evil »

Оффлайн ziv

  • Активист
  • *
  • Сообщений: 403
    • Просмотр профиля
Re: Ubuntu 8.10 -64 и библиотека /lib/ld-linux.so.2
« Ответ #1 : 11 Сентябрь 2008, 17:46:19 »
В терминале:
cd /home/ogr/mupen64-0.5/
./mupen64
Смотришь, на что ругается.
Расширение, действительно, ничего не значит.
Библиотека ld-linux.so находится в пакете libc6, он должен быть установлен.

Оффлайн doctor_evil

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Ubuntu 8.10 -64 и библиотека /lib/ld-linux.so.2
« Ответ #2 : 11 Сентябрь 2008, 17:55:16 »
ziv, спасибо за оперативнй ответ!

Ругается на отсутствие файла или директории, вот листинг из терминала:

/home/ogr/mupen64-0.5/mupen64

ogr@ogr-desktop:~/mupen64-0.5$ ls -l
total 1080
drwxr-xr-x 2 ogr ogr   4096 2005-08-26 23:46 doc
-rw-r--r-- 1 ogr ogr   1361 2005-08-26 23:40 jttl_audio.conf
drwxr-xr-x 2 ogr ogr   4096 2005-08-26 22:03 lang
-rwxrwxrwx 1 ogr ogr 700240 2005-08-27 00:41 mupen64
-rw-r--r-- 1 ogr ogr  13233 2005-08-27 22:11 mupen64_icon.png
-rw-r--r-- 1 ogr ogr 345630 2005-08-26 21:58 mupen64.ini
drwxr-xr-x 2 ogr ogr   4096 2005-08-26 23:40 plugins
drwxr-xr-x 2 ogr ogr   4096 2005-08-26 22:01 save
-rw-r--r-- 1 ogr ogr  11713 2005-08-26 21:58 whatsnew.txt
ogr@ogr-desktop:~/mupen64-0.5$ ./mupen64
bash: ./mupen64: No such file or directory
ogr@ogr-desktop:~/mupen64-0.5$ sudo ./mupen64
[sudo] password for ogr:
sudo: unable to execute ./mupen64: No such file or directory
ogr@ogr-desktop:~/mupen64-0.5$

На ixbt.com сказали, что если стоит 64 бит Ubuntu (а у меня она и стоит) то нужно доустановить библиотеки цитата:
"Если Ubuntu 64битная, то надо еще установить 32битные библиотеки, т.к. без /lib/ld-linux.so.2 и будет ругаться на отсутствующий файл."

Вот у меня и ругается, я так понимаю... что мне нужно сделать, дабы это безобразие прекратилось и файлики запустились?

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: Ubuntu 8.10 -64 и библиотека /lib/ld-linux.so.2
« Ответ #3 : 11 Сентябрь 2008, 17:59:50 »
В названии темы 8.10, что чревато... В тексте первого сообщения - 8.04, определись.

Оффлайн JoyHusky

  • Любитель
  • *
  • Сообщений: 62
  • ArchLinux
    • Просмотр профиля
Re: Ubuntu 8.10 -64 и библиотека /lib/ld-linux.so.2
« Ответ #4 : 11 Сентябрь 2008, 18:08:25 »
По-идее 32-хбитные библиотеки для x64-систем это - ia32-libs

Оффлайн doctor_evil

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #5 : 11 Сентябрь 2008, 18:11:36 »
Kwah
Исправил, спасибо, что обратили внимание и подсказали.

WEPiff
По-идее 32-хбитные библиотеки для x64-систем это - ia32-libs

Хех, еще б я знал что это и куда, зачем и как это пихать :).

Оффлайн JoyHusky

  • Любитель
  • *
  • Сообщений: 62
  • ArchLinux
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #6 : 11 Сентябрь 2008, 18:15:53 »
Это пакет либ. Его можно установить так (пишем в консоли): sudo apt-get install ia32-libs

Оффлайн doctor_evil

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #7 : 11 Сентябрь 2008, 18:19:38 »
WEPiff

Спасибо, пошел пробовать. А если таки нужен /lib/ld-linux.so.2 то оно аналогино устанавливается?

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #8 : 11 Сентябрь 2008, 18:24:05 »
doctor_evil
Поиском его, П-О-И-С-К-О-М <- кликабельно.

Оффлайн doctor_evil

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #9 : 11 Сентябрь 2008, 18:36:38 »
Kwah

Прошел по Вашему линку, там таблика с файликами, а то с ними делать-то ?

WEPiff

Не фуниклирует, пишит вот:

ogr@ogr-desktop:~$ sudo apt-get install ia32-libs
[sudo] password for ogr:
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
E: Не удалось найти пакет ia32-libs
ogr@ogr-desktop:~$ sudo apt-get install ld-linux.so.2
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
E: Не удалось найти пакет ld-linux.so.2
ogr@ogr-desktop:~$ sudo apt-get install ld-linux.so
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
E: Не удалось найти пакет ld-linux.so
ogr@ogr-desktop:~$ sudo apt-get install /lib/ld-linux.so.2
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
E: Не удалось найти пакет
ogr@ogr-desktop:~$

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #10 : 11 Сентябрь 2008, 18:42:40 »
Репозитории подключи, потому что ia32-libs в них есть

Оффлайн JoyHusky

  • Любитель
  • *
  • Сообщений: 62
  • ArchLinux
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #11 : 11 Сентябрь 2008, 18:43:37 »
libc6-i386 - еще этот можно попробовать проинсталлить...  
ЗЫ: Был бы я за компом, сказал бы точно, а так, с сотки, нормально не проверишь в каком точно пакете эта ld-linux.so. Но я почти уверен, что в libc6-i386.
ЗЗЫ: sudo apt-get install libc6-i386

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #12 : 11 Сентябрь 2008, 19:06:33 »
Kwah

Прошел по Вашему линку, там таблика с файликами, а то с ними делать-то ?
Чёрт, не заметил. Там в табличке слева - файлы, справа - пакеты в которых они находятся.
Тебе видимо нужен тот что проходит под именем "libc6-i386 [not i386]", он кстати, автоматически ставится по зависимостям при установке пакета ia32-libs.

Оффлайн doctor_evil

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #13 : 11 Сентябрь 2008, 20:35:17 »
Kwah
Чёрт, не заметил. Там в табличке слева - файлы, справа - пакеты в которых они находятся.
Тебе видимо нужен тот что проходит под именем "libc6-i386 [not i386]", он кстати, автоматически ставится по зависимостям при установке пакета ia32-libs.


Скачал и установил следующее:
2ibc6-i386_2.7-10ubuntu3_amd64.deb
libc6-i386_2.7-10ubuntu3_amd64.deb

Теперь при попытке запустить mupen64 пишет вот что:

ogr@ogr-desktop:~$ cd '/home/ogr/mupen64-0.5'
ogr@ogr-desktop:~/mupen64-0.5$ sudo ./mupen64
[sudo] password for ogr:
./mupen64: error while loading shared libraries: libz.so.1: wrong ELF class: ELFCLASS64
ogr@ogr-desktop:~/mupen64-0.5$ A


Я чего-то не то поставил? Или чего-то не хватает?


Оффлайн gantellus

  • Старожил
  • *
  • Сообщений: 1276
    • Просмотр профиля
Re: Ubuntu 8.04 -64 и библиотека /lib/ld-linux.so.2
« Ответ #14 : 11 Сентябрь 2008, 20:45:03 »
doctor_evil
ты репозитории подключил? система - администрирование - источники приложений

тебе посоветовали установить пакет ia32-libs
можно это сделать, запустив система - администрирование - synaptic и воспользовавшись там поиском
сделал?
Придумайте ещё более дружественный интерфейс, и мир породит ещё более тупого юзера (с)
С2Duo 2.4 Ghz, Geforce 8800, Maya 44 PCI

 

Страница сгенерирована за 0.059 секунд. Запросов: 22.